package com.tofly.ghrq_route.module.planPointRepair.domain;

import com.google.gson.annotations.Expose;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.NotNull;
import org.greenrobot.greendao.annotation.Unique;

/**
 * Created by Amu on 2017/12/19.
 */

@Entity(nameInDb = "SYS_REPAIR_DEVICE_SETTING")
public class RepairSysDeviceSetting {
    /**
     * input_type : 0
     * cnname : 主路运行压力
     * enname : MAIN_OPERATING_PRESSURE
     * para_type : 2
     * isphoto : 1
     * para_max : 1
     * para_min : 12
     * isrange : 1
     */

    public static final int REPAIR_INPUT_NUMBER = 0;
    public static final int REPAIR_INPUT_YESNO = 1;
    public static final int REPAIR_INPUT_NONE = 2;

    public static final int REPAIR_PARA_OPTIONAL = 0;
    public static final int REPAIR_PARA_NONEED = 1;
    public static final int REPAIR_PARA_MUST = 2;

    public static final int REPAIR_INPUT_NOPHOTO = 0;
    public static final int REPAIR_INPUT_PHOTO = 1;

    public static final int REPAIR_INPUT_NORANGE = 0;
    public static final int REPAIR_INPUT_RANGE = 1;

    public static final String REPAIR_PARA_NORMAL_ENNAME = "IS_NORMAL";
    public static final String REPAIR_PARA_SWITCH_ENNAME = "SWITCH_FLEXIBLE";
    public static final String REPAIR_PARA_LEAK_ENNAME = "LEAK_DETECT";

    @Id @NotNull @Unique
    @Expose(serialize = false, deserialize = false)
    private String id;
    private int input_type;     /*输入类型 0 num类型 1 是与否类型 2 不填*/
    private String cnname;      /*参数名中文*/
    private String enname;      /*参数名英文*/
    private int para_type;      /*参数类型 0 选填 1 不用填 2 必填*/
    private int isphoto;        /*使用图片 0 不 1 需要*/
    private int para_max;       /*输入参数最大值*/
    private int para_min;       /*输入参数最小值*/
    private int isrange;        /*是否有输入范围*/
    private String configkey;      /*图片filenote对应的编码ID*/
    private String plan_id;

    @Generated(hash = 1692951867)
    public RepairSysDeviceSetting(@NotNull String id, int input_type, String cnname,
                                  String enname, int para_type, int isphoto, int para_max, int para_min,
                                  int isrange, String configkey, String plan_id) {
        this.id = id;
        this.input_type = input_type;
        this.cnname = cnname;
        this.enname = enname;
        this.para_type = para_type;
        this.isphoto = isphoto;
        this.para_max = para_max;
        this.para_min = para_min;
        this.isrange = isrange;
        this.configkey = configkey;
        this.plan_id = plan_id;
    }

    @Generated(hash = 301630888)
    public RepairSysDeviceSetting() {
    }

    public int getInput_type() {
        return input_type;
    }

    public void setInput_type(int input_type) {
        this.input_type = input_type;
    }

    public String getCnname() {
        return cnname;
    }

    public void setCnname(String cnname) {
        this.cnname = cnname;
    }

    public String getEnname() {
        return enname;
    }

    public void setEnname(String enname) {
        this.enname = enname;
    }

    public int getPara_type() {
        return para_type;
    }

    public void setPara_type(int para_type) {
        this.para_type = para_type;
    }

    public int getIsphoto() {
        return isphoto;
    }

    public void setIsphoto(int isphoto) {
        this.isphoto = isphoto;
    }

    public int getPara_max() {
        return para_max;
    }

    public void setPara_max(int para_max) {
        this.para_max = para_max;
    }

    public int getPara_min() {
        return para_min;
    }

    public void setPara_min(int para_min) {
        this.para_min = para_min;
    }

    public int getIsrange() {
        return isrange;
    }

    public void setIsrange(int isrange) {
        this.isrange = isrange;
    }

    public String getConfigkey() {
        return configkey;
    }

    public void setConfigkey(String configkey) {
        this.configkey = configkey;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPlan_id() {
        return this.plan_id;
    }

    public void setPlan_id(String plan_id) {
        this.plan_id = plan_id;
    }
}
